package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.DivisionDAO;
import com.rjconsultores.ventaboletos.entidad.Division;


@Repository("divisionDAO")
public class DivisionHibernateDAO extends GenericHibernateDAO<Division, Integer>
implements DivisionDAO {
	
	 @Autowired
	    public DivisionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
	        setSessionFactory(factory);
	    }
	 
	 @Override
	    public List<Division> obtenerTodos() {
	        Criteria c = getSession().createCriteria(getPersistentClass());
	        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

	        return c.list();
	    }
}
